/*
 * Copyright (C) 2002
 *	Tommy Scheunemann <net@arrishq.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifdef HAVE_CONFIG_H
 #include "config.h"
#endif
#include "wmconfig.h"
#include "prototypes.h"
#include "package.h"
#include <stdio.h>

/* Define a default menu icon - Mlvwm outputs an error
 if "menu.xpm" can't be found */

#define MENU_ICON "menu.xpm"

extern unsigned int flags;

void output_mlvwm(struct group *root)
{
 struct item *item;
 char *root_name;
 if (root == (struct group *)NULL)
  return;
 item = root->items;
 while (item->type != 0) {
  if (item->type == ITEM_MENU)
   output_mlvwm(item->data);
  item++;
 }
 item = root->items;
 while (item->type != 0) {
  if (item->type == ITEM_APP) {
   struct package *app;
   app = (struct package *)item->data;
  }
  item++;
 }
 item = root->items;
 root_name = single_string(root->name);
 printf("Menu \"%s\", Label \"%s\"\n", single_string(root->name), root->name);    
 while (item->type != 0) {
  if (item->type == ITEM_MENU) {
   struct group *tmp;
   tmp = (struct group *)item->data;
   printf(" \"%s\" Icon %s, SubMenu \"%s\"\n", tmp->name, MENU_ICON, single_string(tmp->name));
  } else if (item->type == ITEM_APP) {
   struct package *app;
   app = (struct package *)item->data;
   if (app->name && app->exec) {
    printf(" \"%s\" Icon %s, Action Exec \"%s\" exec %s\n", app->name, app->mini_icon, app->name, app->exec);
   }
  }
  item++;
 }
 printf("END\n\n");
 return;
}
