
/*
 * Copyright (C) 1997 Red Hat Software, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 * This file contains the prototypes of all public versions
 * from misc source code files
 */
#ifndef _PROTOTYPES_H
#define _PROTOTYPES_H

#include "package.h"

/* package.c */
int update_package(const char *package, const char *tag, const char *value);

/* input.c */
int read_file(const char *filename);    
int parse_files(const char *dir_from);

/* parse.c */
const char *parse_errstr(int err_code);
int parse_line(char *buffer, char **package, char **tag, char **lang, char **string);

/* fvwm95.c */
void output_fvwm95(struct group *root);

/* fvwm2.c */
void output_fvwm2(struct group *root);

/* afterstep.c */
void output_afterstep(struct group *root);

/* mwm.c */
void output_mwm(struct group *root);

/* icewm.c */
void output_icewm(struct group *root);

/* blackbox.c */
void output_blackbox(struct group *root);

/* wmaker.c */
void output_wmaker(struct group *root);

/* afterstep_dir.c */
void output_afterstep_dir(struct group *root);

/* kde.c */
void output_kde(struct group *root);

/* wmconfig.c */
int main(int argc, char **argv);

/* package.c */
int init_packages(void);
void complete_packages(void);

/* rootmenu.c */
int build_root(void);

/* debug.c */
void output_debug(struct group *root);

/* util.c */
char *single_string(const char *group_string);

#endif /* _PROTOTYPES_H */
     
