/*
 * Copyright (C) 2002
 *	Tommy Scheunemann <net@arrishq.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <stdio.h>
#include "wmconfig.h"
#include "prototypes.h"
#include "package.h"

/* Default Qvwm menu icon */

#define MENU_ICON "menu.xpm"

/* Qvwm output support */

static void qvwm(struct group *root, int level)
{
 int i;
 struct item *item;
 if (root == (struct group *)NULL)
  return;
 if (level>=0) {
  for (i=0; i<level; i++) {
   printf(" ");
  }
  printf("\"%s\" \"%s\"\n+\n", root->name, MENU_ICON);
 }
 item = root->items;
 while (item->type != 0) {
  if (item->type == ITEM_MENU) {
   qvwm(item->data, level+1);
  } else if (item->type == ITEM_APP) {
   struct package *app;
   app = (struct package *)item->data;
   if (app != NULL) {
    for (i=0; i<level; i++) {
     printf(" ");
    }
    printf(" \"%s\" \"%s\" \"%s\"\n", app->name, app->mini_icon, app->exec);
   }
  }
  item++;
 }
 if (level>=0) {
  for (i=0; i<level; i++) {
   printf(" ");
  }
  printf("-\n");
 }
}
void output_qvwm(struct group *root)
{
 qvwm(root, 0);
}
